Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface FieldValue

All Superinterfaces:
  DBObject

    public interface FieldValue

extends DBObject

A `FieldValue` is the value object of a `Field`.

Method Summary
`boolean` | `getBoolean()` Gets boolean value of this field.
`byte` | `getByte()` Gets byte value of this field.
`byte[]` | `getBytes()` Gets the bytes array value of this field.
`java.sql.Date` | `getDate()` Gets the `java.sql.Date` value of this field.
`double` | `getDouble()` Gets the double value of this field.
`float` | `getFloat()` Gets the float value of this field.
`int` | `getInt()` Gets the int32 integer value of this field.
`JDBCType` | `getJDBCType()` Retrieves the field's JDBC type.
`long` | `getLong()` Gets the int64 integer value of this field.
`short` | `getShort()` Gets the short integer value of this field.
`java.lang.String` | `getString()` Gets the string value of this field.
`java.lang.String` | `getTableName()` Gets the field's parent table name.
`java.sql.Time` | `getTime()` Gets the `java.sql.Time` value of this field.
`java.sql.Timestamp` | `getTimestamp()` Gets the `java.sql.Timestamp` value of this field.
`java.lang.Object` | `getValue()` Gets the field's value.
`boolean` | `isIdentity()` Indicates whether the field is an identity field.
`void` | `setValue(java.lang.Object value)` Sets the field's value.

Methods inherited from interface jet.server.api.db.DBObject
`getName, getProperties, getProperty, getProperty, getUCName, setProperty`

Method Detail

### isIdentity

    boolean isIdentity()

  Indicates whether the field is an identity field.

  Returns:
    `true` if so; `false` otherwise

### getJDBCType

    JDBCType getJDBCType()

  Retrieves the field's JDBC type.

  Returns:
    JDBCType from jet.server.api.dao.JDBCType

### getTableName

    java.lang.String getTableName()

  Gets the field's parent table name.

  Returns:
    the field's parent table name

### getValue

    java.lang.Object getValue()

  Gets the field's value.

  Returns:
    the field's value

### setValue

    void setValue(java.lang.Object value)

  Sets the field's value.

  Parameters:
    `value` -

### getBoolean

    boolean getBoolean()

  Gets boolean value of this field.

  Returns:

### getByte

    byte getByte()

  Gets byte value of this field.

  Returns:

### getShort

    short getShort()

  Gets the short integer value of this field.

  Returns:

### getInt

    int getInt()

  Gets the int32 integer value of this field.

  Returns:

### getLong

    long getLong()

  Gets the int64 integer value of this field.

  Returns:

### getFloat

    float getFloat()

  Gets the float value of this field.

  Returns:

### getDouble

    double getDouble()

  Gets the double value of this field.

  Returns:

### getString

    java.lang.String getString()

  Gets the string value of this field.

  Returns:

### getBytes

    byte[] getBytes()

  Gets the bytes array value of this field.

  Returns:

### getDate

    java.sql.Date getDate()

  Gets the `java.sql.Date` value of this field.

  Returns:

### getTime

    java.sql.Time getTime()

  Gets the `java.sql.Time` value of this field.

  Returns:

### getTimestamp

    java.sql.Timestamp getTimestamp()

  Gets the `java.sql.Timestamp` value of this field.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD